static char SccsId[] = "@(#)sprot.c	1.6   10/2/95";
/*
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */

#define ASL_USE_MACRO

#include <farl.h>
#include <asl.h>

/*---------------------------------------------------------------------------+
| Routine name: main
| Description :
|              
| Syntax :
+----------------------------------------------------------------------------*/
void
main()
{
	ASLSct		sct;
	ASLSource	src;
	int		i;

	FX73init();
	FX73_cmap_i5c4();
	FarlInit();
	src.bank   =   0;
	src.x_pos  = 192;
	src.y_pos  = 128;
	src.x_size =  64;
	src.y_size =  64;
	src.x_hot  =  32;
	src.y_hot  =  32;
	ASLSetSpriteWindow( 0, 0, 255, 239 );

	for ( i = 0;; i += 10 ) {
		ASLMakeRotateSprite( &src, 128, 120, i % 3600, &sct );
		ASLSetSpriteTable( 1, 0, 1, &sct );
		ASLExecuteSprite( 1, 0, 1 );
		ASLSync();
		FarlSwapWindow();
		ASLWaitForSwap();
	}
}

